Subject: [nwcrg] nwcrg - Cancelling a meeting request for IETF 98

From: "\"IETF Meeting Session Request Tool\"" <[email-masked]>
Date: Wed, 01 Mar 2017 08:04:40 -0800

A request to cancel a meeting session has just been submitted by .